Name:           amdgpu-userspace
Version:        21.40.2
Release:        1%{dist}X
Summary:        OpenCL userspace driver of amdgpu-pro driver.
Group:          System/Libraries
License:        Commercial
URL:            http://www.amd.com
Source0:        amdgpu-userspace.tar.gz
Source1:        gettarball2-amdgpu-userspace.sh
Requires:       %{_lib}opencl1

%description
OpenCL, Vulkan userspace drivers as provided by the amdgpu-pro driver stack.
Vulkan userspace driver also provided by the amdgpu opensource driver stack.

%package -n %{_lib}amdgpu-pro
Summary:    Libraries of amdgpu-pro driver stack to support OpenCL/Vulkan drivers
Group:      Development
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description -n %{_lib}amdgpu-pro
%{summary}

%package -n opencl-amdgpu-pro
Summary:    OpenCL userspace drivers as provided by the amdgpu-pro driver stack.
Group:      Development
Requires:   %{_lib}amdgpu-pro = %{version}
Suggests:   clinfo
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description -n opencl-amdgpu-pro
%{summary}

%package -n vulkan-amdgpu-pro
Summary:    Vulkan userspace drivers as provided by the amdgpu-pro driver stack.
Group:      Development
Suggests:   vulkaninfo
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description -n vulkan-amdgpu-pro
%{summary}

%package -n vulkan-amdgpu
Summary:    Vulkan userspace drivers as provided by the open source amdgpu driver stack.
Group:      Development
Suggests:   vulkaninfo
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description -n vulkan-amdgpu
%{summary}

%prep

%build

%install
tar xf %SOURCE0 -C %buildroot

%post -n %{_lib}amdgpu-pro
/sbin/ldconfig

%postun -n %{_lib}amdgpu-pro
/sbin/ldconfig

%post -n opencl-amdgpu-pro
/sbin/ldconfig

%postun -n opencl-amdgpu-pro
/sbin/ldconfig

%post -n vulkan-amdgpu-pro
if [ $1 == 1 ]; then
ln -sf /opt/amdgpu-pro/etc/vulkan/icd.d/amd_icd64.json /etc/vulkan/icd.d/amdpro_icd64.json
ln -sf /opt/amdgpu-pro/lib64/amdvlk64.so.1.0 %{_libdir}/amdvlk64.so.1.0
ln -sf /opt/amdgpu-pro/lib64/amdvlk64.so.1.0 %{_libdir}/amdvlk64.so
fi
/sbin/ldconfig

%postun -n vulkan-amdgpu-pro
if [ $1 == 0 ]; then
rm -f /etc/vulkan/icd.d/amdpro_icd64.json
rm -f %{_libdir}/amdvlk64.so
rm -f %{_libdir}/amdvlk64.so.1.0
fi
/sbin/ldconfig

%post -n vulkan-amdgpu
if [ $1 == 1 ]; then
ln -sf /opt/amdgpu/etc/vulkan/icd.d/amd_icd64.json /etc/vulkan/icd.d/amd_icd64.json
ln -sf /opt/amdgpu/lib64/amdvlk64.so %{_libdir}/amdvlk64.so
fi
/sbin/ldconfig

%postun -n vulkan-amdgpu
if [ $1 == 0 ]; then
rm -f /etc/vulkan/icd.d/amd_icd64.json
rm %{_libdir}/amdvlk64.so
fi
/sbin/ldconfig

%files -n %{_lib}amdgpu-pro
%defattr(-,root,root-)
/opt/amdgpu/lib64/libdrm_amdgpu.so.1*
%{_libdir}/libamd_comgr.so*
%{_libdir}/libamdhip64.so*
%{_libdir}/libhsa-runtime64.so*


%files -n opencl-amdgpu-pro
/etc/OpenCL/vendors/*.icd
%{_libdir}/libamdocl64.so
%{_libdir}/libamdocl-orca64.so


%files -n vulkan-amdgpu-pro
/opt/amdgpu-pro/etc/vulkan/icd.d/amd_icd64.json
/opt/amdgpu-pro/lib64/amdvlk64.so.1.0
/opt/amdgpu-pro/lib64/amdvlk64.so

%files -n vulkan-amdgpu
/opt/amdgpu/etc/vulkan/icd.d/amd_icd64.json
/opt/amdgpu/lib64/amdvlk64.so
/opt/amdgpu/lib64/amdvlk64.so.1.0

%changelog
* Tue Jan 17 2022 aurelianr - 21.40.2-1.mga9X
- AMDGPU official userspace drivers released for RedHat and repackaged here for Mageia.
- Userspace drivers for OpenCL, Vulkan from amdgpu-pro driver stack.
- Userspace drivers for Vulkan from amdgpu open source driver stack.
- opencl-amdgpu-pro rpm needs lib64amdgpu-pro while vulkan-amdgpu(-pro)
  rpm can be installed alone.
